aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rw-r--r--dev-python/core-srht/Manifest1
-rw-r--r--dev-python/core-srht/core-srht-0.69.10.ebuild63
2 files changed, 64 insertions, 0 deletions
diff --git a/dev-python/core-srht/Manifest b/dev-python/core-srht/Manifest
index 89a9824..cbf2c99 100644
--- a/dev-python/core-srht/Manifest
+++ b/dev-python/core-srht/Manifest
@@ -1,2 +1,3 @@
DIST bootstrap.tar.gz 2060647 BLAKE2B 64c93d52357abf9a8891cd74abd24e354c7bc5ee60a7c8bb35b99a15922d4a5054b6729d260f8b1abddd7a415c78d3b0154a2f5be5e33c91721da2a0999d9ca2 SHA512 b25317213b208ebdabe2cb9072367fa390824fb436717c8f1ce7d9d54fbfc37dfc76c6699961ce9d8ecd2e8ab9a6cf82b779800347857fd706426b9ee22b96d1
+DIST core-srht-0.69.10.tar.gz 180196 BLAKE2B 865778e38e9c2c5b181d30c81cfe515def7d7265eefd591ebd5e3967037c4e41d55df86dc86cde92ed46f6a071d40e1587f14bd1029375603a6367d4abe06c33 SHA512 9a920f01d4d7001fbdf080799dc4648f526f41a899eada211eb33b8b9b79049befa05449349cbc84d0fe6a5256afb942e46e9ca4e99fe4420874fe8926513775
DIST core-srht-0.69.7.tar.gz 178599 BLAKE2B 9942c0b168ca14c89d9ea5a99231efbc558051e79d269d2c13d27a1d0a434d64d1ed3a3b742bc7b3553294a477dcf20528032ae5f41aa17358bab55393f92625 SHA512 77caac9f883abbc91cfa731e4e6c5cae4b0d737b8b7f0eb20c8ce10b4c1310d58904d213339a54355f82e6f376371942f3418ca7ac63ffdee795ec07368df63f
diff --git a/dev-python/core-srht/core-srht-0.69.10.ebuild b/dev-python/core-srht/core-srht-0.69.10.ebuild
new file mode 100644
index 0000000..72ade1a
--- /dev/null
+++ b/dev-python/core-srht/core-srht-0.69.10.ebuild
@@ -0,0 +1,63 @@
+# Copyright 2022-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+PYTHON_COMPAT=( python3_10 )
+DISTUTILS_USE_PEP517=setuptools
+inherit distutils-r1
+
+BOOTSTRAPVER="4.1.1"
+DESCRIPTION="sr.ht shared code"
+HOMEPAGE="https://git.sr.ht/~sircmpwn/core.sr.ht"
+SRC_URI="https://git.sr.ht/~sircmpwn/core.sr.ht/archive/${PV}.tar.gz -> ${P}.tar.gz
+ https://github.com/twbs/bootstrap/archive/v${BOOTSTRAPVER}.tar.gz -> bootstrap.tar.gz"
+S="${WORKDIR}/core.sr.ht-${PV}"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64"
+
+RDEPEND="
+ dev-python/alembic[${PYTHON_USEDEP}]
+ dev-python/beautifulsoup4[${PYTHON_USEDEP}]
+ dev-python/bleach[${PYTHON_USEDEP}]
+ dev-python/celery[${PYTHON_USEDEP}]
+ dev-python/cryptography[${PYTHON_USEDEP}]
+ dev-python/flask[${PYTHON_USEDEP}]
+ dev-python/html5lib[${PYTHON_USEDEP}]
+ dev-python/humanize[${PYTHON_USEDEP}]
+ dev-python/mistletoe[${PYTHON_USEDEP}]
+ dev-python/PGPy[${PYTHON_USEDEP}]
+ dev-python/prometheus_client[${PYTHON_USEDEP}]
+ dev-python/psycopg:2[${PYTHON_USEDEP}]
+ dev-python/pygments[${PYTHON_USEDEP}]
+ dev-python/redis[${PYTHON_USEDEP}]
+ dev-python/requests[${PYTHON_USEDEP}]
+ dev-python/sqlalchemy[${PYTHON_USEDEP}]
+ dev-python/SQLAlchemy-Utils[${PYTHON_USEDEP}]
+"
+DEPEND="${RDEPEND}"
+BDEPEND="net-libs/nodejs"
+
+src_unpack() {
+ default
+ mv "${WORKDIR}/bootstrap-${BOOTSTRAPVER}" "${WORKDIR}/bootstrap" || die
+ cp -r "${WORKDIR}/bootstrap" "${S}/srht/scss" || die
+}
+
+src_prepare() {
+ distutils-r1_src_prepare
+ pyver="$(python3 --version | cut -d. -f1-2 | cut -d' ' -f2-)"
+ sed -e "s/python3.8/python$pyver/" -i srht/Makefile || die
+}
+
+src_compile() {
+ export PKGVER=${PV}
+ distutils-r1_src_compile
+}
+
+src_install() {
+ export PKGVER=${PV}
+ distutils-r1_src_install
+}